#!/bin/bash

INPUT=../staging

RES=../resources
XSL=$RES/xsl

WEB=../www/staging

cd $INPUT

# publish HTML and XML:
for f in `find . -name '*.xml'`; do 
     DIR=`dirname $f`

     # create directory if missing:
     OUTPUT_XML=$WEB/$DIR/xml
     mkdir -p $OUTPUT_XML

     filename=`basename $f`
     filenameNoExt=`basename $f .xml`
     echo "processing $filename"

     # generate HTML:
# Need data access: instructions + URL

# TODO: add date + get data access info from config or DB:
     xsltproc -o $WEB/$DIR/$filenameNoExt.html --stringparam metadataFile "$filename" --stringparam www_root "../../" --stringparam show_navbar "false" --stringparam show_footer "true" --stringparam data_access_html "test instructions" --stringparam data_access_url "http://bd.amma-catch.org/amma-catch2" $XSL/doi2landing.xsl $f

     if [ $? -ne 0 ]; then
          echo "step 2: java failed"
          exit 1
     fi

     # copy XML:
     cp $f $OUTPUT_XML
done

