#!/bin/bash

# bootstrap
BS=bootstrap-3.3.6-dist
BS_URL="https://github.com/twbs/bootstrap/releases/download/v3.3.6/bootstrap-3.3.6-dist.zip"

RES=../resources
STATIC=$RES/static
XSD=$RES/xsd


WEB=../www
PUBLIC=$WEB/public
STAGING=$WEB/staging
WEB_XSD=$WEB/xsd/

# create folders
mkdir -p $PUBLIC
mkdir -p $STAGING
mkdir -p $WEB_XSD

# publish xsd
cp -r $XSD/* $WEB_XSD


# prepare bootstrap
wget $BS_URL
if [ $? -ne 0 ]; then
  echo "unable to download bootstrap"
  exit 1
fi
rm -rf $WEB/bootstrap*
unzip $BS.zip -d $WEB
ln -s $BS $WEB/bootstrap
rm $BS.zip


# prepare static content:
cp -r $STATIC/* $WEB

echo "setup: done."

