/*******************************************************************************
 * JMMC project ( http://www.jmmc.fr ) - Copyright (C) CNRS.
 ******************************************************************************/
package fr.osug.doi;

import java.util.Locale;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author bourgesl
 */
public class Bootstrap {

    private final static Logger logger;

    private static boolean failOnOverwrite = true;

    static {
        // Set the default locale to en-US locale (for Numerical Fields "." ",")
        Locale.setDefault(Locale.US);

        logger = Logger.getLogger(Bootstrap.class.getName());
    }

    public static void start() {
        logger.fine("Bootstrap done.");
    }

    public static void setLogLevel(final Level level) {
        logger.log(Level.INFO, "Set logger level to ''{0}''.", level);

        Logger rootLogger = logger;
        while (rootLogger.getParent() != null) {
            rootLogger = rootLogger.getParent();
        }
        rootLogger.setLevel(level);
        if (level.intValue() < Level.INFO.intValue()) {
            for (Handler h : rootLogger.getHandlers()) {
                h.setLevel(level);
            }
        }
    }

    public static boolean isFailOnOverwrite() {
        return failOnOverwrite;
    }

    public static void setFailOnOverwrite(boolean failOnOverwrite) {
        Bootstrap.failOnOverwrite = failOnOverwrite;
    }

    private Bootstrap() {
        // no-op
    }
}
