package fr.osug.doi;

/**
 *
 * @author bourgesl
 */
public interface Const {

    public static final String VERSION = "doi-csv 0.1";

    public final static char SEPARATOR = ';';
    public final static char COMMENT = '#';

    public static final String KEY_IDENTIFIER = "identifier:DOI";
    public static final String KEY_GEO_LOCATION_PLACE = "geoLocationPlace";

    public static final String[] KEY_ORDER = new String[]{
        //# 1 [identifier]
        "identifier", "identifier:DOI",
        //# 2 [creators]
        "creatorName",
        //# 3 [titles]
        "title",
        "title:AlternativeTitle",
        "title:Subtitle",
        "title:TranslatedTitle",
        //# 4 [publisher]
        "publisher",
        // # 5 [publicationYear]
        "publicationYear",
        //# 6 [subjects]
        "subject",
        "subject:main",
        "subject:var",
        //# 7 [contributors]
        "contributorName:ContactPerson",
        "contributorName:DataCollector",
        "contributorName:DataCurator",
        "contributorName:DataManager",
        "contributorName:Distributor",
        "contributorName:Editor",
        "contributorName:Funder",
        "contributorName:HostingInstitution",
        "contributorName:Other",
        "contributorName:Producer",
        "contributorName:ProjectLeader",
        "contributorName:ProjectManager",
        "contributorName:ProjectMember",
        "contributorName:RegistrationAgency",
        "contributorName:RegistrationAuthority",
        "contributorName:RelatedPerson",
        "contributorName:ResearchGroup",
        "contributorName:RightsHolder",
        "contributorName:Researcher",
        "contributorName:Sponsor",
        "contributorName:Supervisor",
        "contributorName:WorkPackageLeader",
        //# 8 [dates]
        "date:Accepted",
        "date:Available",
        "date:Collected",
        "date:Copyrighted",
        "date:Created",
        "date:Issued",
        "date:Submitted",
        "date:Updated",
        "date:Valid",
        //# 9 [language]
        "language",
        //# 10 [resourceType] (PARTIAL)
        "resourceType:Dataset",
        "resourceType:Service",
        "resourceType:Software",
        "resourceType:Text",
        "resourceType:Other",
        //# 11 [alternateIdentifiers] (IGNORED)
        //# 12 [relatedIdentifiers]
        // URL:
        "relatedIdentifier:Cites:URL",
        "relatedIdentifier:References:URL",
        // DOI:
        "relatedIdentifier:IsCitedBy:DOI",
        "relatedIdentifier:Cites:DOI",
        "relatedIdentifier:IsSupplementTo:DOI",
        "relatedIdentifier:IsSupplementedBy:DOI",
        "relatedIdentifier:IsContinuedBy:DOI",
        "relatedIdentifier:Continues:DOI",
        "relatedIdentifier:IsNewVersionOf:DOI",
        "relatedIdentifier:IsPreviousVersionOf:DOI",
        "relatedIdentifier:IsPartOf:DOI",
        "relatedIdentifier:HasPart:DOI",
        "relatedIdentifier:IsReferencedBy:DOI",
        "relatedIdentifier:References:DOI",
        "relatedIdentifier:IsDocumentedBy:DOI",
        "relatedIdentifier:Documents:DOI",
        "relatedIdentifier:IsCompiledBy:DOI",
        "relatedIdentifier:Compiles:DOI",
        "relatedIdentifier:IsVariantFormOf:DOI",
        "relatedIdentifier:IsOriginalFormOf:DOI",
        "relatedIdentifier:IsIdenticalTo:DOI",
        "relatedIdentifier:HasMetadata:DOI",
        "relatedIdentifier:IsMetadataFor:DOI",
        "relatedIdentifier:Reviews:DOI",
        "relatedIdentifier:IsReviewedBy:DOI",
        "relatedIdentifier:IsDerivedFrom:DOI",
        "relatedIdentifier:IsSourceOf:DOI",
        //# 13 [sizes]
        "size",
        //# 14 [formats]
        "format",
        //# 15 [version]
        "version",
        //# 16 [rightsList]
        "rights",
        "rightsURI",
        //# 17 [descriptions]
        "description",
        "description:Abstract",
        "description:Methods",
        "description:SeriesInformation",
        "description:TableOfContents",
        "description:Other",
        //# 18 [geoLocations]
        "geoLocationPlace",
        "geoLocationPoint",
        "geoLocationBox"
    };
}
